Subject: [Spasm] FW: New Version Notification for draft-schaad-lamps-rfc5750-bis-00.txt

From: Jim Schaad <[email-masked]>
Date: Fri, 22 Jul 2016 17:20:07 +0200

Since Russ is going to be a stickler for details, here is a candidate draft for updating RFC 5750.

Jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, July 22, 2016 3:47 PM
> To: Blake Ramsdell <[email-masked]>; Sean Turner <[email-masked]>;
> Blake C. Ramsdell <[email-masked]>; Jim Schaad <[email-masked]>
> Subject: New Version Notification for draft-schaad-lamps-rfc5750-bis-00.txt
> 
> 
> A new version of I-D, draft-schaad-lamps-rfc5750-bis-00.txt
> has been successfully submitted by Jim Schaad and posted to the IETF
> repository.
> 
> Name:		draft-schaad-lamps-rfc5750-bis
> Revision:	00
> Title:		Secure/Multipurpose Internet Mail Extensions (S/ MIME)
> Version 3.2 Certificate Handling
> Document date:	2016-07-22
> Group:		Individual Submission
> Pages:		21
> URL:            https://www.ietf.org/internet-drafts/draft-schaad-lamps-rfc5750-
> bis-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-schaad-lamps-rfc5750-bis/
> Htmlized:       https://tools.ietf.org/html/draft-schaad-lamps-rfc5750-bis-00
> 
> 
> Abstract:
>    This document specifies conventions for X.509 certificate usage by
>    Secure/Multipurpose Internet Mail Extensions (S/MIME) v3.2 agents.
>    S/MIME provides a method to send and receive secure MIME messages,
>    and certificates are an integral part of S/MIME agent processing.
>    S/MIME agents validate certificates as described in RFC 5280, the
>    Internet X.509 Public Key Infrastructure Certificate and CRL Profile.
>    S/MIME agents must meet the certificate processing requirements in
>    this document as well as those in RFC 5280.  This document obsoletes
>    RFC 3850.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 25 Jul 2016 13:38:35 +0000

I believe the WG should adopt this document:
           https://www.ietf.org/internet-drafts/draft-schaad-lamps-rfc5750-bis-00.txt

---

From: Russ Housley <[email-masked]>
Date: Mon, 25 Jul 2016 13:36:05 -0400

I think we should drop all of the SHOULD- algorithms and DSA  from section 4.3, and that we should add ECDSA with P256 and SHA-256 as a SHOULD+.

With these changes, I think the document is ready for adoption by the LAMPS WG.  What do others think?

Russ

On Jul 25, 2016, at 9:38 AM, Salz, Rich <[email-masked]> wrote:

> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: Jim Schaad <[email-masked]>
Date: Mon, 25 Jul 2016 11:28:20 -0700

I think that we should wait on the algorithm argument and have a unified
discussion for both documents at the same time.

Jim

> From: Spasm [mailto:[email-masked]] On Behalf Of Russ Housley
> Sent: Monday, July 25, 2016 10:36 AM
> To: Salz, Rich <[email-masked]>; Jim Schaad <[email-masked]>
> Cc: SPASM <[email-masked]>
> Subject: Re: [Spasm] FW: New Version Notification for draft-schaad-lamps-
> rfc5750-bis-00.txt
> 
> I think we should drop all of the SHOULD- algorithms and DSA  from section
4.3,
> and that we should add ECDSA with P256 and SHA-256 as a SHOULD+.
> 
> With these changes, I think the document is ready for adoption by the
LAMPS
> WG.  What do others think?
> 
> Russ
> 
> 
https://www.ietf.org/internet-drafts/draft-schaad-lamps-rfc5750-bis-
> 00.txt

---

From: Wei Chuang <[email-masked]>
Date: Tue, 26 Jul 2016 14:03:01 -0700

On Mon, Jul 25, 2016 at 10:36 AM, Russ Housley <[email-masked]> wrote:

> 4.3, and that we should add ECDSA with P256 and SHA-256 as a SHOULD+.
>
> LAMPS WG.  What do others think?
>

+1 LAMPS should adopt this document and agree with the proposed algorithm
changes.

-Wei

---

From: Sean Turner <[email-masked]>
Date: Wed, 27 Jul 2016 15:58:52 -0400

I’m for adopting the draft (but I’m a little biased).

I could go either way on whether the changes should be made before or after the draft is adopted.  I’m okay with adopting the draft as is and looking at the changes in conjunction with the msg draft.

spt

> On Jul 25, 2016, at 13:36, Russ Housley <[email-masked]> wrote:
>